Create or update inbound shipment tracking for a diagnostic test
Creates or updates shipment tracking for the Customer -> Lab shipment of the DiagnosticTest.
Creates or updates shipment tracking for the Customer -> Lab shipment of the DiagnosticTest.
Authorization
apiKey In: header
Path Parameters
ShipmentTrackingInput identifier
Header Parameters
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new ShipmentTrackingInput resource
TypeScript Definitions
Use the request body type in TypeScript.
Shipment provider responsible for the parcel.
Allowed values: "DHL", "Swiss Post", "OTHER"
Optional carrier tracking code for the shipment.
Optional tracking URL. If omitted, the system generates one for supported providers when a tracking code is provided.
Optional shipment status to expose together with the tracking data.
Allowed values: "confirmed", "in_transit", "out_for_delivery", "delivered", "failure", "undeliverable", "returned_to_sender", "available_for_collection", null
Response Body
curl -X POST "https://example.com/v1/diagnostic_tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/shipment_tracking" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "provider": "DHL" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticOrder": "/entity/1", "diagnosticProduct": "/entity/1", "testResults": [ "/entity/1" ], "patient": { "email": "user@example.com", "firstName": "string", "lastName": "string", "gender": "M", "dateOfBirth": "2019-08-24", "healthInsuranceDetails": { "countryCode": "string", "provider": "string", "healthInsuranceTypeDE": "GKV", "subscriberIdentifier": "string" } }, "specimens": [ { "specimenCode": "string", "createdAt": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24", "collectionTime": "string", "menstrualPhaseAtCollection": "follikel" } ], "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "activatedAt": "2019-08-24T14:15:22Z", "labIntakeAt": "2019-08-24T14:15:22Z", "replacementDiagnosticTest": "/entity/1", "replacesDiagnosticTest": "/entity/1", "canceledAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}Create or update outbound shipment tracking for a diagnostic order POST
Creates or updates shipment tracking for the FulfillmentCenter -> Customer shipment of the DiagnosticOrder.
Add a specimen to a diagnostic test POST
Creates or updates a specimen entry for the DiagnosticTest using the external specimen code. This endpoint only stores the specimen reference and does not activate the test.